Bug 1420861 - [RFE] Add Support for a Second Ceph Storage Tier deployment capability through director
Summary: [RFE] Add Support for a Second Ceph Storage Tier deployment capability throug...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: All
OS: Linux
high
high
Target Milestone: Upstream M2
: 14.0 (Rocky)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
Derek
URL:
Whiteboard:
Depends On:
Blocks: 1476900 1625008 1654792 1714227
TreeView+ depends on / blocked
 
Reported: 2017-02-09 16:31 UTC by Paul Needle
Modified: 2019-05-29 01:24 UTC (History)
21 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.0.0-0.20180710202746.d2994ca.el7ost
Doc Type: Enhancement
Doc Text:
You can now use different Ceph crush rules for different node, to optimize performance of Ceph pools. You configure crush rules in ceph-ansible with the `CephAnsibleExtraConfig` Heat parameter. You can then assign nodes to a specific rule with the `osd_crush_location` for each node. For example: CephAnsibleExtraConfig: crush_rule_config: true NodeDataLookup: | {"1B535751-93B6-4673-8A02-2D4F8FA3431E": {"osd_crush_location": "\"root=HDD host=overcloud-ceph-0\""}}
Clone Of:
Environment:
Last Closed: 2019-01-11 11:47:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:0045 0 None None None 2019-01-11 11:47:25 UTC

Description Paul Needle 2017-02-09 16:31:01 UTC
This RFE Bugzilla has been created in order to track decisions and developments relating to a request for the ability to deploy second tier Ceph storage for OpenStack Platform, through OSP director.

Comment 24 Yogev Rabl 2018-11-02 15:28:56 UTC
Verified

Comment 30 errata-xmlrpc 2019-01-11 11:47:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.